import React from 'react'
import { connect } from 'react-redux'
import { Spinner } from '@pubsweet/ui'
import { compose, withState } from 'recompose'
import {
  getUserToken,
  currentUserIsReviewer,
} from 'pubsweet-component-faraday-selectors'
import { Item } from 'pubsweet-component-faraday-ui'

import { withZipDownload } from './helpers'

const DownloadZipFiles = ({ disabled, fetching, children, downloadFiles }) => (
  <Item
    flex={0}
    justify="flex-end"
    mr={1}
    onClick={!disabled ? downloadFiles : null}
  >
    {fetching ? <Spinner /> : children}
  </Item>
)

export default compose(
  connect((state, { collectionId }) => ({
    token: getUserToken(state),
    isReviewer: currentUserIsReviewer(state, collectionId),
  })),
  withState('fetching', 'setFetching', false),
  withZipDownload,
)(DownloadZipFiles)
