import React from 'react'
import { get } from 'lodash'
import {
  Row,
  Item,
  Text,
  ActionLink,
  IconButton,
  DownloadZipFiles,
  PreviewFile,
  ManuscriptVersion,
} from 'pubsweet-component-faraday-ui'
import { DateParser } from '@pubsweet/ui'

const ManuscriptDetailsTop = ({
  history,
  getSignedUrl,
  collection = {},
  fragment = {},
}) => (
  <Row alignItems="center" mb={1}>
    <Item justify="flex-start">
      <ActionLink icon="arrow-left" onClick={() => history.push('/')}>
        Dashboard
      </ActionLink>
    </Item>
    <Item justify="flex-end">
      <PreviewFile
        file={get(fragment, 'files.manuscripts[0]', {})}
        getSignedUrl={getSignedUrl}
      />
      <DownloadZipFiles
        archiveName={`ID-${collection.customId}`}
        collectionId={collection.id}
        fragmentId={fragment.id}
      >
        <IconButton icon="download" iconSize={2} mr={3} secondary />
      </DownloadZipFiles>
      <DateParser durationThreshold={0} timestamp={fragment.submitted || ''}>
        {timestamp => <Text mr={1}>Updated on {timestamp}</Text>}
      </DateParser>
      <ManuscriptVersion collection={collection} fragment={fragment} />
    </Item>
  </Row>
)

export default ManuscriptDetailsTop
