import React, { Fragment } from 'react'
import { isEmpty } from 'lodash'
import styled from 'styled-components'
import { Text, ManuscriptDetailsTop, Row } from 'pubsweet-component-faraday-ui'

const ManuscriptLayout = ({
  journal,
  history,
  getSignedUrl,
  currentUser,
  editorInChief,
  canMakeRevision,
  editorialRecommendations,
  hasResponseToReviewers,
  project = {},
  version = {},
}) => (
  <Root>
    {!isEmpty(project) && !isEmpty(version) ? (
      <Fragment>
        <ManuscriptDetailsTop
          collection={project}
          fragment={version}
          getSignedUrl={getSignedUrl}
          history={history}
        />
        <Row justify="flex-start">Aici header</Row>
      </Fragment>
    ) : (
      <Text>Loading...</Text>
    )}
  </Root>
)

export default ManuscriptLayout

// #region styles
const Root = styled.div`
  overflow-y: auto;
  min-height: 50vh;
`
// #endregion
