import React, { Fragment } from 'react'
import { Button, H1 } from '@pubsweet/ui'
import { compose, withProps } from 'recompose'
import { Row } from 'pubsweet-component-faraday-ui'

import { DashboardItems, DashboardFilters } from './'

const Dashboard = ({
  deleteProject,
  dashboardItems,
  canCreateDraft,
  getFilterOptions,
  changeFilterValue,
  createDraftSubmission,
  getDefaultFilterValue,
}) => (
  <Fragment>
    <Row alignItems="center" justify="space-between">
      <H1 mb={1}>Dashboard</H1>
      <Button
        data-test="new-manuscript"
        disabled={!canCreateDraft}
        onClick={createDraftSubmission}
        primary
      >
        Submit
      </Button>
    </Row>
    <DashboardFilters
      changeFilterValue={changeFilterValue}
      getDefaultFilterValue={getDefaultFilterValue}
      getFilterOptions={getFilterOptions}
    />
    <DashboardItems deleteProject={deleteProject} list={dashboardItems} />
  </Fragment>
)

export default compose(
  withProps(({ dashboard, filterItems }) => ({
    dashboardItems: filterItems(dashboard.all),
  })),
)(Dashboard)
